# GstJpeg2000Sampling

## Functions

### gst_jpeg2000_colorspace_from_string

    GstJPEG2000Colorspace
    gst_jpeg2000_colorspace_from_string (gchar * colorspace_string)

Parameters:

`colorspace_string` –
No description available
Returns (GstJPEG2000Colorspace) –
No description available

### gst_jpeg2000_colorspace_to_string

    gchar *
    gst_jpeg2000_colorspace_to_string (GstJPEG2000Colorspace colorspace)

Parameters:

`colorspace` –
No description available
Returns (gchar *) –
No description available

### gst_jpeg2000_sampling_from_string

    GstJPEG2000Sampling
    gst_jpeg2000_sampling_from_string (gchar * sampling_string)

Parameters:

`sampling_string` –
No description available
Returns (GstJPEG2000Sampling) –
No description available

### gst_jpeg2000_sampling_is_mono

    gboolean
    gst_jpeg2000_sampling_is_mono (GstJPEG2000Sampling sampling)

Parameters:

`sampling` –
No description available
Returns (gboolean) –
No description available

### gst_jpeg2000_sampling_is_rgb

    gboolean
    gst_jpeg2000_sampling_is_rgb (GstJPEG2000Sampling sampling)

Parameters:

`sampling` –
No description available
Returns (gboolean) –
No description available

### gst_jpeg2000_sampling_is_yuv

    gboolean
    gst_jpeg2000_sampling_is_yuv (GstJPEG2000Sampling sampling)

Parameters:

`sampling` –
No description available
Returns (gboolean) –
No description available

### gst_jpeg2000_sampling_to_string

    gchar *
    gst_jpeg2000_sampling_to_string (GstJPEG2000Sampling sampling)

Parameters:

`sampling` –
No description available
Returns (gchar *) –
No description available

## Enumerations

### GstJPEG2000Colorspace

    typedef enum
    {
      GST_JPEG2000_COLORSPACE_NONE,
      GST_JPEG2000_COLORSPACE_RGB,
      GST_JPEG2000_COLORSPACE_YUV,
      GST_JPEG2000_COLORSPACE_GRAY
    } GstJPEG2000Colorspace;

#### Members

`GST_JPEG2000_COLORSPACE_NONE` (0) –

no color space

`GST_JPEG2000_COLORSPACE_RGB` (1) –

standard RGB color space

`GST_JPEG2000_COLORSPACE_YUV` (2) –

standard YUV color space

`GST_JPEG2000_COLORSPACE_GRAY` (3) –

monochrome color space

### GstJPEG2000Sampling

    typedef enum
    {
      GST_JPEG2000_SAMPLING_NONE,
      GST_JPEG2000_SAMPLING_RGB,
      GST_JPEG2000_SAMPLING_BGR,
      GST_JPEG2000_SAMPLING_RGBA,
      GST_JPEG2000_SAMPLING_BGRA,
      GST_JPEG2000_SAMPLING_YBR444,
      GST_JPEG2000_SAMPLING_YBR422,
      GST_JPEG2000_SAMPLING_YBR420,
      GST_JPEG2000_SAMPLING_YBR410,
      GST_JPEG2000_SAMPLING_GRAYSCALE,
      GST_JPEG2000_SAMPLING_YBRA4444_EXT,
      GST_JPEG2000_SAMPLING_YBR411
    } GstJPEG2000Sampling;

Sampling values from RF 5371 for JPEG 2000 over RTP : https://datatracker.ietf.org/doc/rfc5371/C Note: sampling extensions that are not listed in the RFC are signified by an _EXT at the end of the enum

#### Members

`GST_JPEG2000_SAMPLING_NONE` (0) –
No description available
`GST_JPEG2000_SAMPLING_RGB` (1) –
No description available
`GST_JPEG2000_SAMPLING_BGR` (2) –
No description available
`GST_JPEG2000_SAMPLING_RGBA` (3) –
No description available
`GST_JPEG2000_SAMPLING_BGRA` (4) –
No description available
`GST_JPEG2000_SAMPLING_YBR444` (5) –
No description available
`GST_JPEG2000_SAMPLING_YBR422` (6) –
No description available
`GST_JPEG2000_SAMPLING_YBR420` (7) –
No description available
`GST_JPEG2000_SAMPLING_YBR410` (8) –
No description available
`GST_JPEG2000_SAMPLING_GRAYSCALE` (9) –
No description available
`GST_JPEG2000_SAMPLING_YBRA4444_EXT` (10) –
No description available
`GST_JPEG2000_SAMPLING_YBR411` (11) –

standard YCbCr color space; Cb and Cr are subsampled vertically by 1/4

(Since: 1.20)

The results of the search are